const columns = [
  {
    type: "selection",
    fixed: "left",
    _noset_: true
  },
  {
    prop: "cgdNo",
    label: "销售订单编号",
    width: "155px",
  },
  // {
  //   prop: "orderCode",
  //   label: "订单编号",
  //   width: "155px",
  // },

  {
    prop: "spuCode",
    label: "商品成本编号",
    width: "158px",
  },
  {
    prop: "good_name",
    label: "商品名称",
    _slot_: "good_name",
    'min-width': "145px",
  },
  {
    prop: "good_price",
    label: "单价",
    width: "110px",
  },
  {
    prop: "good_num",
    label: "数量",
    width: "110px",
  },
  {
    prop: "total_fee",
    label: "总货款",
    width: "110px",
  },
  {
    prop: "status",
    label: "状态",
    _slot_: "status",
    width: "120px",
  },
  {
    prop: "order_id",
    label: "销售订单来源",
    _slot_: "order_id",
    width: "110px",
  },
  
 
  // {
  //   prop: "cgder",
  //   label: "采购员",
  //   width: "60px",
  // },
  {
    prop: "lasttime",
    label: "预计最晚入库时间",
    width: "145px",
  },
  {
    prop: "addtime",
    label: "创建时间",
    width: "145px",
  },
  {
    prop: "",
    label: "操作",
    fixed: "right",
    _noset_: true,
    width: "50px",
    _slot_: "operation",
  },
]
const statusOptions = [
  { value: "0", label: "待确认" },
  { value: "1", label: "待入库" },
  { value: "2", label: "部分入库" },
  { value: "3", label: "入库完成" },
  { value: "4", label: "已取消订单" },
];
const showColumns= [
  {
    prop: "cgdNo",
    label: "销售订单编号",
    span: 6
  },
  {
    prop: "status",
    label: "销售订单状态",
    _slot_: "status",
    span: 6
  },
  {
    prop: "order_type",
    label: "销售订单来源",
    _slot_: "order_type",
    span: 6
  },
  {
    prop: "lasttime",
    label: "要求入库时间",
    span: 6
  },
 
  {
    prop: "supplier_name",
    label: "销售方公司",
    _slot_: "supplier_name",
  },
  {
    prop: "company",
    label: "购买方公司",
    _slot_: "company",
  },

  // {
  //   prop: "wsm",
  //   label: "仓库信息",
  //   _slot_: "wsm",
  // },
 
 
 
  {
    prop: "total_fee",
    label: "采购总成本",
    span: 8
  },
  {
    prop: "good_price",
    label: "销售订单价",
    span: 8
  },
  {
    prop: "good_num",
    label: "采购总数量",
    span: 8
  },
  {
    prop: "send_num",
    label: "已发货数量",
    span: 8
  },
  {
    prop: "wsend_num",
    label: "未发货数量",
    span: 8
  },
  {
    prop: "addtime",
    label: "创建时间",
    span: 8
  },
  // {
  //   prop: "gold_price",
  //   label: "当前实时金价",
  //   _slot_: "gold_price",
  //   span: 12
  // },
  // {
  //   prop: "customer",
  //   label: "订单客户名称",
  //   _slot_: "customer",
  //   span: 12
  // },
  {
    prop: "addr_info",
    label: "收货信息",
    _slot_: "addr_info",
    span: 24
  },
]


export { columns, statusOptions,showColumns }