// 物业管理员
import http from "@/apis/axios";
const api = "abutment/";
export default {
  // 添加
  add: (data, params) => http(api + "add", data, "post", params),
  // 分页查询
  list: (data, params) => http(api + "getOrderList", data, "post", params),
  // 删除
  delete: (data, params) => http(api + "delete", data, "post", params),
  // 详情
  detail: (data, params) => http(api + "getOrderInfo", data, "post", params),
  // 批量供应商确认
  status: (data, params) =>
    http(api + "changeOrderStatus", data, "post", params),
  // 批量入库
  addOrderIn: (data, params) => http(api + "addOrderIn", data, "post", params),
  // 异常原因列表
  resultlist: (data, params) => http(api + "resultlist", data, "post", params),
  // 入库单验货
  orderincheck: (data, params) =>
    http(api + "orderincheck", data, "post", params),
  // 入库单退货换货
  orderinreturn: (data, params) =>
    http(api + "orderinreturn", data, "post", params),
  // 发货单状态修改
  orderinstatus: (data, params) =>
    http(api + "orderinstatus", data, "post", params),
  // 采返商品详情
  re_detail: (data, params) => http(api + "goodzxinfo", data, "post", params),
  //商品成本详情
  cost_detail: (data, params) => http(api + "goodupinfo", data, "post", params),

  // 采返商品详情 订单生成前
  cove_detail: (data, params) =>
    http(api + "getGoodZxInfoByNotZixun", data, "post", params),
  //导出
  exportCgdList: (data, params) =>
    http(api + "exportCgdList", data, "post", params),
};
