const columns = [
  {
    type: "selection",
    fixed: "left",
    _noset_: true,
  },
  {
    prop: "outCode",
    label: "发货申请单编号",
    width: "156",
  },

  {
    prop: "cgdNo",
    label: "销售订单编号",
    width: "156",
  },

  {
    prop: "status",
    label: "状态",
    _slot_: "status",
    width: "120px",
  },

  {
    prop: "good_class",
    label: "商品分类",
    width: "150",
  },
  {
    prop: "good_code",
    label: "商品编码",
    width: "140",
  },
  {
    prop: "good_name",
    label: "商品名称",
    width: "150",
  },
  {
    prop: "order_type",
    label: "商品来源",
    _slot_: "order_type",
    width: "70",
  },
  {
    prop: "contactor",
    label: "联系人",
    width: "70",
  },
  {
    prop: "mobile",
    label: "联系电话",
    width: "100",
  },
  {
    prop: "send_num",
    label: "发货数量",
  },
  {
    prop: "post_name",
    label: "物流公司",
  },
  {
    prop: "post_code",
    label: "物流单号",
  },
  // {
  //   prop: "post_fee",
  //   label: "物流费用",
  // },
  {
    prop: "sendtime",
    label: "发货时间",
    width: "140",
  },

  {
    prop: "addtime",
    label: "申请时间",
    width: 146,
  },
  {
    prop: "",
    label: "操作",
    fixed: "right",
    _noset_: true,
    _slot_: "operation",
    width: 50,
  },
];

const showColumns = [
  {
    prop: "outCode",
    label: "发货申请单号",
    span: 6,
  },
  {
    prop: "status",
    label: "发货申请单状态",
    _slot_: "status",
    span: 6,
  },
  // {
  //   prop: "orderCode",
  //   label: "订单编号",
  //   span: 6,
  // },
  {
    prop: "order_type",
    label: "商品来源",
    _slot_: "order_type",
    span: 6,
  },

  // {
  //   prop: "apply_name",
  //   label: "申请人",
  //   span: 6,
  // },

  {
    prop: "sendtime",
    label: "发货时间",
    span: 6,
  },

  {
    prop: "send_num",
    label: "发货数量",
    span: 6,
  },
  // {
  //   prop: "check_num",
  //   label: "验收数量",
  //   span: 6,
  // },

  // {
  //   prop: "error_num",
  //   label: "异常数量",
  //   span: 6,
  // },

  {
    prop: "addtime",
    label: "创建时间",
    span: 6,
  },
  {
    prop: "post_name",
    label: "快递公司",
    span: 6,
  },

  {
    prop: "post_fee",
    label: "物流费用",
    span: 6,
  },
  {
    prop: "contactor",
    label: "收货联系人",
    span: 6,
  },
  {
    prop: "mobile",
    label: "收货联系人电话",
    span: 6,
  },
  {
    prop: "addr",
    label: "收货地址",
    span: 12,
  },
  {
    prop: "post_code",
    label: "物流编号",
    span: 24,
  },
 

  {
    prop: "remark",
    label: "发货申请备注",
    span: 24,
  },
];
const statusOptions= [
  { value: "0", label: "待采购备货" },
  { value: "1", label: "待库管发货" },
  { value: "2", label: "已发货待收货" },
  { value: "3", label: "已收货" },
  { value: "4", label: "已全部退货" },
];
export { columns, showColumns,statusOptions };
